// Example main header file for pba style portable library
//
// $Id: fancypcsc.h 1172 2014-02-19 14:23:30Z fancylibs $

#ifndef FANCYPCSC_H
#define FANCYPCSC_H

#define FANCYPCSC_ABI 1

#ifdef WIN32
# ifdef __GNUC__
#  ifdef BUILD_fancypcsc_DLL
#   define FANCYPCSC_API __attribute__((dllexport))
#  else
#   define FANCYPCSC_API __attribute__((dllimport))
#  endif
# else
#  ifdef BUILD_fancypcsc_DLL
#   define FANCYPCSC_API __declspec(dllexport)
#  else
#   define FANCYPCSC_API __declspec(dllimport)
#  endif
# endif
#else
# ifdef __GNUC__
#  define FANCYPCSC_INTERNAL_API __attribute__((visibility("hidden")))
# endif
#endif

#ifndef FANCYPCSC_INTERNAL_API
#define FANCYPCSC_INTERNAL_API
#endif

#ifndef FANCYPCSC_API
#define FANCYPCSC_API
#endif

namespace Fancy {

namespace PCSC {

static const int PROTOCOL_UNKNOWN = 0;
static const int PROTOCOL_T0      = 1;
static const int PROTOCOL_T1      = 2;
static const int PROTOCOL_ANY     = 3;

}}

#endif // ! FANCYPCSC_H
